serial.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include "hd.h"`
`#include "hd_int.h"`
`#include "serial.h"`

## Functions

static void | get_serial_info (hd_data_t *hd_data)
static serial_t * | add_serial_entry (serial_t **ser, serial_t *new_ser)
static void | dump_serial_data (hd_data_t *hd_data)
void | hd_scan_serial (hd_data_t *hd_data)

## Variables

static char * | ser_names []